=== debian/changelog ===
symfony (7.1.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.5

 -- David Prévot <taffit@debian.org>  Sun, 22 Sep 2024 11:07:47 +0200

symfony (7.1.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.4

  [ David Prévot ]
  * Skip failing tests (Closes: #1073470)

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 12:07:25 +0200

symfony (7.1.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.3

 -- David Prévot <taffit@debian.org>  Sat, 27 Jul 2024 14:54:52 +0900

symfony (7.1.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.2

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 16:57:43 +0900

symfony (7.1.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.0-RC1

  [ David Prévot ]
  * Update homemade autoload.php template
  * Build-Depend on recent (>= 3.10) php-twig

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 10:29:08 +0200

symfony (7.1.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.0-BETA1

  [ David Prévot ]
  * Add new components:
    - php-symfony-emoji
    - php-symfony-type-info
    - php-symfony-azure-mailer
    - php-symfony-resend-mailer
    - php-symfony-bluesky-notifier
    - php-symfony-lox24-notifier
    - php-symfony-pushy-notifier
    - php-symfony-sevenio-notifier
    - php-symfony-sms-sluzba-notifier
    - php-symfony-smsbox-notifier
    - php-symfony-smsense-notifier
    - php-symfony-unifonic-notifier
  * Update Homepage for components

 -- David Prévot <taffit@debian.org>  Tue, 14 May 2024 13:40:42 +0200

symfony (7.0.7+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.7

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Update copyright for duplicated image
  * Update changelog for 7.0.7+dfsg-1 release

 -- David Prévot <taffit@debian.org>  Thu, 02 May 2024 19:24:53 +0200

symfony (7.0.6+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.6

  [ David Prévot ]
  * Require Stopwatch
  * Mark php-symfony-messenger package as Multi-Arch: foreign
  * Skip test failing in ppc64el
  * Drop signature check (latest upstream tag is not signed)
  * Update copyright for new image

 -- David Prévot <taffit@debian.org>  Sun, 07 Apr 2024 11:59:13 +0200

symfony (7.0.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.5

  [ Jakub Caban ]
  * Enhance error handling in StaticPrefixCollection for compatibility with
    libpcre2-10.43

  [ Alexander M. Turek ]
  * Safeguard dynamic access to Doctrine metadata properties

  [ Gálik Pál ]
  * [Mailer][Brevo] Remove tags from mandatory event arguments

  [ Nicolas Grekas ]
  * [HttpClient] Fix deprecation on PHP 8.3

  [ Phil E. Taylor ]
  * [AssetMapper] Fix `JavaScriptImportPathCompiler` regression in regex

  [ Ruud Kamphuis ]
  * [Clock] Add PHPUnit 10 attributes

  [ llupa ]
  * [Security][Tests] Update functional tests to better reflect end-user
    scenarios

  [ Simon André ]
  * [AssetMapper] Throw exception in Javascript compiler when PCRE error

  [ David Prévot ]
  * Mark php-symfony-clock package as Multi-Arch: foreign
  * Fix expected abi for arm

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 16:56:37 +0100

symfony (7.0.4+dfsg-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Fabien Potencier ]
  * Update VERSION for 7.0.4

  [ Nicolas Grekas ]
  * [ProxyManagerBridge] Drop the bridge
  * [HttpClient] Remove implementing `Http\Message\RequestFactory`
    from `HttplugClient`

  [ Alexander M. Turek ]
  * [FrameworkBundle] Remove doctrine/annotations integration
  * [Serializer] Remove Doctrine annotations support
  * [Validator] Remove Doctrine annotations support
  * [Routing] Remove Doctrine annotations support

  [ David Prévot ]
  * Track latest version in experimental
  * Drop packages
    - php-symfony-templating
    - php-symfony-proxy-manager-bridge
    - php-symfony-oh-my-smtp-mailer
    - php-symfony-sendinblue-mailer
    - php-symfony-sendinblue-notifier
  * Drop dependencies
    - php-doctrine-annotations
    - php-friendsofphp-proxy-manager-lts
    - php-http-message-factory
  * Use recent php-monolog (>= 3)
  * Update Homepage URL to 7.0

 -- David Prévot <taffit@debian.org>  Mon, 04 Mar 2024 11:00:38 +0100
