## symfony 7.3.2+dfsg

=== debian/changelog ===
symfony (7.3.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.2

 -- David Prévot <taffit@debian.org>  Mon, 04 Aug 2025 09:38:26 +0200

symfony (7.3.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.1

  [ David Prévot ]
  * [phpunit] Update expected deprecations

 -- David Prévot <taffit@debian.org>  Wed, 02 Jul 2025 13:43:38 +0200

symfony (7.3.0+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.0

 -- David Prévot <taffit@debian.org>  Thu, 29 May 2025 14:28:41 +0200

symfony (7.3.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.0-RC1

 -- David Prévot <taffit@debian.org>  Wed, 28 May 2025 13:01:41 +0200

symfony (7.3.0~beta2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.0-BETA2

  [ David Prévot ]
  * Update homemade autoload.php templates
  * php-symfony-beanstalkd-messenger: Use recent php-pda-pheanstalk
  * Drop Adapt-expected-output-on-buildd.patch

 -- David Prévot <taffit@debian.org>  Sun, 11 May 2025 09:26:47 +0200

symfony (7.3.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.0-BETA1

  [ David Prévot ]
  * New php-symfony-webpack-encore-bundle build-dependency
  * Update build-dependencies version
  * Update homemade autoload.php templates
  * Use 7.3 in URLs
  * Add new components:
    - php-symfony-aha-send-mailer
    - php-symfony-json-path
    - php-symfony-json-streamer
    - php-symfony-matrix-notifier
    - php-symfony-object-mapper
  * Workaround license check issue
  * php-parser is now directly used during tests
  * Update deprecated php-symfony-sms77-notifier description
  * Load php-symfony-security-acl for tests
  * Workaround the lack of InstalledVersions::getVersion
  * Adapt expected output on buildd
  * Build-depend on php-dba
  * [Security/Core] Skip test currently failing on Debian
  * Drop tests currently failing on reproducible infrastructure

 -- David Prévot <taffit@debian.org>  Mon, 05 May 2025 08:28:02 +0200

symfony (7.2.6-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.6

  [ David Prévot ]
  * Skip tests failing with PHPUnit 11.5.17-1 (Closes: #1103209)

 -- David Prévot <taffit@debian.org>  Fri, 02 May 2025 11:54:09 +0200

symfony (7.2.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.5

  [ David Prévot ]
  * Drop patches not needed anymore
  * Test suite now compatible with PHP 8.4.5
  * Update Standards-Version to 4.7.2
  * Make provider function static (PHPUnit 11 Fix)

 -- David Prévot <taffit@debian.org>  Sat, 29 Mar 2025 09:53:40 +0100

symfony (7.2.4+dfsg-1) experimental; urgency=medium

  [ Thomas Bibaut ]
  * [DependencyInjection] Fix env default processor with scalar node

  [ David Prévot ]
  * ntfy-notifier: tfix in description (Closes: #1095786)

  [ Alexandre Daubois ]
  * [TwigBridge] Fix compatibility with Twig 3.21
  * [DoctrineBridge] Fix deprecation with `doctrine/dbal` ^4.3

 -- David Prévot <taffit@debian.org>  Fri, 28 Feb 2025 06:15:41 +0100

symfony (7.2.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.3

  [ Grégoire Paris ]
  * Add support for doctrine/persistence 4

  [ David Prévot ]
  * Backport patches for PHPUnit 11
  * Drop php-symfony-polyfill-php83 requirement now that PHP 8.4 is the default
  * Use --exclude-group multiple times (PHPUnit 11 fix)
  * Drop never ending tests with PHPUnit 11
  * Drop SymfonyTestsListener from php-symfony-phpunit-bridge
  * Exclude group nophpunit11 for tests failing with PHPUnit 11
  * Use SYMFONY_DEPRECATIONS_HELPER=disabled instead of weak
  * Make provider functions static (PHPUnit 11 Fix)

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 23:23:45 +0100

symfony (7.2.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.2

  [ David Prévot ]
  * phpab: exclude PhpStanExtractorTest.php

 -- David Prévot <taffit@debian.org>  Thu, 02 Jan 2025 22:16:09 +0100

symfony (7.2.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.1

 -- David Prévot <taffit@debian.org>  Tue, 17 Dec 2024 09:23:26 +0100

symfony (7.2.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.0-RC1

  [ Christian Flothmann ]
  * skip autocomplete test when stty is not available
  * normalize paths to avoid failures if a path is referenced by different names
  * handle error results of DateTime::modify()
  * fix referencing the SYMFONY_VERSION env var
  * fix support for phpstan/phpdoc-parser 2
  * fix support for phpstan/phpdoc-parser 2
  * update ICU data from 75.1 to 76.1
  * relax format assertions for fstat() results on Windows
  * require Cache component versions compatible with Redis 6.1

  [ Nicolas Grekas ]
  * [HttpClient] Resolve hostnames in NoPrivateNetworkHttpClient
    [CVE-2024-50342]

  [ Jérémy Derussé ]
  * [security-http] Check owner of persisted remember-me cookie
    [CVE-2024-51996]

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2024 11:34:22 +0100

symfony (7.2.0~beta2+dfsg-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * [HttpClient] Filter private IPs before connecting when Host == IP
    [CVE-2024-50342]
  * [HttpFoundation] Reject URIs that contain invalid characters
    [CVE-2024-50345]
  * [Process] Use %PATH% before %CD% to load the shell on Windows
    [CVE-2024-51736]

  [ Fabien Potencier ]
  * Update VERSION for 7.2.0-BETA2

  [ Wouter de Jong ]
  * Do not read from argv on non-CLI SAPIs [CVE-2024-50340]

  [ David Prévot ]
  * Update 7.1.3+dfsg-1 changelog entry to document [CVE-2024-50341]
  * Update 7.1.4+dfsg-1 changelog entry to document [CVE-2024-50343]

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2024 10:32:55 +0100

symfony (7.2.0~beta1+dfsg-1) experimental; urgency=medium


