=== debian/control ===
--- 
+++ 
@@ -3,10 +3,8 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-phpcomposer,
-               pkg-php-tools
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, pkg-php-tools
 Build-Depends-Indep: composer,
                      dctrl-tools,
                      file,
@@ -20,6 +18,7 @@
                      php-async-aws-sqs,
                      php-cache-integration-tests,
                      php-curl,
+                     php-dba,
                      php-doctrine-data-fixtures,
                      php-doctrine-orm,
                      php-dragonmantank-cron-expression,
@@ -28,21 +27,22 @@
                      php-guzzlehttp-promises,
                      php-http-httplug,
                      php-intl,
+                     php-jolicode-jolinotif,
                      php-ldap,
                      php-league-html-to-markdown,
                      php-league-uri,
                      php-masterminds-html5,
                      php-mbstring,
                      php-memcached,
-                     php-monolog (>= 3),
+                     php-monolog,
                      php-nyholm-psr7,
-                     php-pda-pheanstalk,
+                     php-pda-pheanstalk (>= 7),
                      php-pgsql,
                      php-phpdbg,
                      php-phpdocumentor-reflection-docblock,
                      php-phpstan-phpdoc-parser,
                      php-predis,
-                     php-psr-cache (>= 2),
+                     php-psr-cache,
                      php-psr-clock,
                      php-psr-container,
                      php-psr-http-client,
@@ -51,11 +51,11 @@
                      php-psr-simple-cache,
                      php-redis,
                      php-sqlite3,
-                     php-symfony-contracts (>= 3),
+                     php-symfony-contracts (>= 3.6),
                      php-symfony-mercure-bundle,
-                     php-symfony-polyfill-php83,
                      php-symfony-security-acl,
-                     php-twig (>= 3.10),
+                     php-symfony-webpack-encore-bundle,
+                     php-twig (>= 3.21),
                      php-twig-cssinliner-extra,
                      php-twig-inky-extra,
                      php-twig-markdown-extra,
@@ -91,7 +91,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/asset.html
+Homepage: https://symfony.com/doc/7.3/components/asset.html
 Description: manage asset URLs
  The Symfony Asset Component manages URL generation and versioning of
  web assets such as CSS stylesheets, JavaScript files and image files.
@@ -121,7 +121,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/browser_kit.html
+Homepage: https://symfony.com/doc/7.3/components/browser_kit.html
 Description: simulate the behavior of a web browser
  The Symfony BrowserKit Component simulates the behavior of a web browser,
  allowing you to make requests, click on links and submit forms
@@ -136,7 +136,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/cache.html
+Homepage: https://symfony.com/doc/7.3/components/cache.html
 Description: provides extended PSR-6, PSR-16 (and tags) implementations
  The Symfony Cache Component provides extended PSR-6 implementations for
  adding cache to applications. It is designed to have a low overhead so
@@ -153,7 +153,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/config.html
+Homepage: https://symfony.com/doc/7.3/components/config.html
 Description: load configurations from different data sources
  The Symfony Config Component provides the infrastructure for loading
  configurations from different data sources and optionally monitoring
@@ -170,7 +170,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/clock.html
+Homepage: https://symfony.com/doc/7.3/components/clock.html
 Description: ${phpcomposer:description}
  The Symfony Clock Component decouples applications from the system clock.
  This allows one to fix time to improve testability of time-sensitive logic.
@@ -184,7 +184,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/console.html
+Homepage: https://symfony.com/doc/7.3/components/console.html
 Description: run tasks from the command line
  The Symfony Console Component can be used to implement recurring
  or long running tasks, such as cronjobs, imports or other batch
@@ -201,7 +201,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/css_selector.html
+Homepage: https://symfony.com/doc/7.3/components/css_selector.html
 Description: convert CSS selectors to XPath expressions
  The Symfony CssSelector Component can be used to convert CSS selectors
  to XPath expressions. It basically is a port of the Python lxml library.
@@ -215,7 +215,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/dependency_injection.html
+Homepage: https://symfony.com/doc/7.3/components/dependency_injection.html
 Description: standardize and centralize construction of objects
  The Symfony DependencyInjection Component allows one to standardize and
  centralize the way objects are constructed in an application.
@@ -229,7 +229,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/dom_crawler.html
+Homepage: https://symfony.com/doc/7.3/components/dom_crawler.html
 Description: ease DOM navigation for HTML and XML documents
  The Symfony DomCrawler Component provides methods to query and
  manipulate HTML and XML documents.
@@ -244,7 +244,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/dotenv.html
+Homepage: https://symfony.com/doc/7.3/components/dotenv.html
 Description: .env files parser to make environment variables accessible
  The Symfony Dotenv Component parses .env files to make environment variables
  stored in them accessible via getenv(), $_ENV, or $_SERVER.
@@ -272,10 +272,8 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/error_handler.html
+Homepage: https://symfony.com/doc/7.3/components/error_handler.html
 Description: manage errors and ease debugging
  The Symfony ErrorHandler Component provides tools to manage errors and ease
  debugging PHP code.
  .
- Symfony is a PHP framework, a set of tools and a development methodology.
-
