=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+UPSTREAM := $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@
@@ -61,6 +64,7 @@
 		--exclude 'src/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
 		--exclude 'src/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
 		--exclude 'src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
+		--exclude 'src/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
 		--exclude 'src/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
 		--whitelist 'symfony\\*' \
 		--tolerant \
@@ -73,6 +77,12 @@
 override_dh_auto_test:
 	mkdir --parents vendor build
 	cp -r src/Symfony build
+	sed -i "s/@VERSION@/$(UPSTREAM)/;s/\+dfsg//" \
+		$(CURDIR)/build/Symfony/Bundle/DebugBundle/DependencyInjection/Configuration.php \
+		$(CURDIR)/build/Symfony/Bundle/FrameworkBundle/DependencyInjection/Configuration.php \
+                $(CURDIR)/build/Symfony/Bundle/SecurityBundle/DependencyInjection/MainConfiguration.php \
+                $(CURDIR)/build/Symfony/Bundle/TwigBundle/DependencyInjection/Configuration.php \
+                $(CURDIR)/build/Symfony/Bundle/WebProfilerBundle/DependencyInjection/Configuration.php
 	rm -r build/Symfony/Contracts
 	cp debian/autoload_runtime.php vendor
 	phpab	--output vendor/autoload.php \
@@ -88,6 +98,7 @@
 		--exclude 'build/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
 		--exclude 'build/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
 		--exclude 'build/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
+		--exclude 'build/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
 		--exclude 'build/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
 		build/Symfony
 	ln -s /usr/share/php/AsyncAws build
@@ -98,10 +109,12 @@
 	ln -s /usr/share/php/Egulias build
 	ln -s /usr/share/php/GuzzleHttp build
 	ln -s /usr/share/php/Http build
+	ln -s /usr/share/php/JoliCode build
 	ln -s /usr/share/php/League build
 	ln -s /usr/share/php/Masterminds build
 	ln -s /usr/share/php/Monolog build
 	ln -s /usr/share/php/Nyholm build
+	ln -s /usr/share/php/PhpParser build
 	ln -s /usr/share/php/Pheanstalk build
 	ln -s /usr/share/php/phpDocumentor build
 	ln -s /usr/share/php/PHPStan build
@@ -113,11 +126,15 @@
 	ln -s /usr/share/php/Symfony/Component/Mercure build/Symfony/Component
 	ln -s /usr/share/php/Symfony/Component/Security/Acl build/Symfony/Component/Security
 	ln -s /usr/share/php/Symfony/Polyfill build/Symfony
+	ln -s /usr/share/php/Symfony/WebpackEncoreBundle build/Symfony
 	ln -s /usr/share/php/Twig build
 	ln -s build/Symfony .
+	# Drop never ending testsuite with PHPUnit 11
+	rm -f build/Symfony/Component/HttpKernel/phpunit.xml.dist
+	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
 	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt,network,tty,benchmark,intl-data,functional,composer {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
 	dh_phpcomposer --package=php-symfony --sourcedirectory=./
@@ -127,37 +144,3 @@
 	# package.
 	set -e;\
 	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
-	  . $$package_info_file; \
-	  dh_phpcomposer --package=$$deb_pkg_name --sourcedirectory=$$src_path; \
-	 done
-
-override_dh_install:
-	dh_install --package=php-symfony
-	# In debian/packages_to_build/ a file containing shell variables exists
-	# for each package that should be build. Source one file after another
-	# to make the shell variables available and run dh_install in order to
-	# provide the PHP runtime code for each package.
-	set -e; \
-	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
-	  . $$package_info_file; \
-	  dh_install --package=$$deb_pkg_name; \
-	  dh_install --package=$$deb_pkg_name \
-	      debian/autoloaders/$$deb_pkg_name usr/share/pkg-php-tools/autoloaders; \
-	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
-	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
-	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
-	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
-	   dh_install \
-		-X.md \
-		-Xcomposer.json \
-		-XBridge \
-		-XLICENSE \
-		-Xphpunit.xml.dist \
-		-XTests \
-		--package=$$deb_pkg_name \
-		$$src_path/* \
-		usr/share/php/Symfony/$$pkg_path/; \
-	  else \
-	   dh_install \
-		-X.git \
-		-X.md \
