=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: phpunit
-Restrictions: rw-build-tree, allow-stderr
+Restrictions: allow-stderr, rw-build-tree
 Depends: composer,
          locales-all,
          parallel,
@@ -9,6 +9,7 @@
          php-async-aws-sqs,
          php-cache-integration-tests,
          php-curl,
+         php-dba,
          php-doctrine-data-fixtures,
          php-doctrine-orm,
          php-dragonmantank-cron-expression,
@@ -30,6 +31,7 @@
          php-sqlite3,
          php-symfony-mercure-bundle,
          php-symfony-security-acl,
+         php-symfony-webpack-encore-bundle,
          php-twig-cssinliner-extra,
          php-twig-inky-extra,
          php-twig-markdown-extra,
