## symfony 7.3.3+dfsg

=== debian/changelog ===
symfony (7.3.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.3

  [ David Prévot ]
  * Remove Rules-Requires-Root
  * Use --include-path instead of --include for phpunit
  * PHPunit 12 compatibility

 -- David Prévot <taffit@debian.org>  Sun, 31 Aug 2025 09:00:47 +0200
