## symfony 7.3.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -60,12 +60,12 @@
                      php-twig-inky-extra,
                      php-twig-markdown-extra,
                      php-uuid,
+                     php-zstd,
                      phpab,
                      phpunit
 Homepage: https://symfony.com/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
 Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git
-Rules-Requires-Root: no
 
 Package: php-symfony
 Architecture: all
